summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMilk Brewster2020-08-04 09:01:23 +0100
committerMilk Brewster2020-08-04 09:01:23 +0100
commit56f1223c150503382823df8faf4d02bab6151f7d (patch)
tree1252a7187501ccec2d5f2ee2c226eff2ac22d7da
downloadaur-56f1223c150503382823df8faf4d02bab6151f7d.tar.gz
initial commit
-rw-r--r--.SRCINFO17
-rw-r--r--PKGBUILD50
2 files changed, 67 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..cf9e9d44346
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,17 @@
+pkgbase = bharvestr.lv2-git
+ pkgdesc = An experimental granular synthesizer LV2 plugin.
+ pkgver = r170.0ad7f60
+ pkgrel = 1
+ url = https://github.com/sjaehn/BJumblr
+ arch = x86_64
+ license = GPL
+ depends = git
+ depends = lv2
+ depends = libsndfile
+ depends = cairo
+ depends = pkg-config
+ source = bharvestr.lv2::git+https://github.com/sjaehn/BHarvestr
+ md5sums = SKIP
+
+pkgname = bharvestr.lv2-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..7fbced9109a
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,50 @@
+# Maintainer: Milkii Brewster <milkii on Freenode IRC>
+maintaner="Milkii Brewster <milkii on Freenode IRC>"
+_pkgname="bharvestr.lv2"
+pkgname="${_pkgname}-git"
+pkgdesc="An experimental granular synthesizer LV2 plugin."
+pkgver=r170.0ad7f60
+pkgrel=1
+epoch=
+arch=(x86_64)
+url="https://github.com/sjaehn/BJumblr"
+license=(GPL)
+groups=()
+depends=('git' 'lv2' 'libsndfile' 'cairo' 'pkg-config')
+makedepends=()
+checkdepends=()
+optdepends=()
+provides=()
+conflicts=()
+replaces=()
+backup=()
+options=()
+install=
+changelog=
+source=("bharvestr.lv2::git+https://github.com/sjaehn/BHarvestr")
+noextract=()
+md5sums=('SKIP')
+
+pkgver() {
+ cd "$_pkgname"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+prepare() {
+ cd "$_pkgname"
+}
+
+build()
+{
+ cd "$_pkgname"
+ # ./configure --prefix=/usr
+ make
+}
+
+package() {
+ cd "$_pkgname"
+ make PREFIX="/usr" DESTDIR="$pkgdir/" install
+}